<?xml version="1.0" encoding="UTF-8"?>
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:ns11="http://xbrl.org/2008/assertion/consistency" xmlns:xl="http://www.xbrl.org/2003/XLink">
    <link:roleRef roleURI="http://www.ropczyce.com.pl/role/ias_1_role-210000" xlink:href="rpc-2024-12-31.xsd#ias_1_role-210000" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.ropczyce.com.pl/role/ias_1_role-310000" xlink:href="rpc-2024-12-31.xsd#ias_1_role-310000" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.ropczyce.com.pl/role/ias_1_role-420000" xlink:href="rpc-2024-12-31.xsd#ias_1_role-420000" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.ropczyce.com.pl/role/ias_7_role-520000" xlink:href="rpc-2024-12-31.xsd#ias_7_role-520000" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.ropczyce.com.pl/role/role_000010" xlink:href="rpc-2024-12-31.xsd#role_000010" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.ropczyce.com.pl/role/ias_1_role-610000" xlink:href="rpc-2024-12-31.xsd#ias_1_role-610000" xlink:type="simple"/>
    <link:arcroleRef arcroleURI="https://xbrl.org/2023/arcrole/summation-item" xlink:href="https://www.xbrl.org/2023/calculation-1.1.xsd#summation-item" xlink:type="simple"/>
    <link:calculationLink xlink:role="http://www.ropczyce.com.pl/role/ias_1_role-210000" xlink:type="extended">
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Assets" xlink:type="locator" xlink:label="Loc_1"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentReceivables" xlink:type="locator" xlink:label="Loc_10"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxAssets" xlink:type="locator" xlink:label="Loc_12"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherNoncurrentFinancialAssets" xlink:type="locator" xlink:label="Loc_14"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAssets" xlink:type="locator" xlink:label="Loc_17"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:type="locator" xlink:label="Loc_18"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Inventories" xlink:type="locator" xlink:label="Loc_19"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentAssets" xlink:type="locator" xlink:label="Loc_2"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentReceivables" xlink:type="locator" xlink:label="Loc_20"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTaxAssetsCurrent" xlink:type="locator" xlink:label="Loc_21"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherCurrentFinancialAssets" xlink:type="locator" xlink:label="Loc_23"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalents" xlink:type="locator" xlink:label="Loc_25"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:type="locator" xlink:label="Loc_27"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAndLiabilities" xlink:type="locator" xlink:label="Loc_28"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Equity" xlink:type="locator" xlink:label="Loc_29"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:type="locator" xlink:label="Loc_3"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAttributableToOwnersOfParent" xlink:type="locator" xlink:label="Loc_30"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IssuedCapital" xlink:type="locator" xlink:label="Loc_31"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RetainedEarnings" xlink:type="locator" xlink:label="Loc_32"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_SharePremium" xlink:type="locator" xlink:label="Loc_33"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TreasuryShares" xlink:type="locator" xlink:label="Loc_34"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherReserves" xlink:type="locator" xlink:label="Loc_36"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncontrollingInterests" xlink:type="locator" xlink:label="Loc_37"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Liabilities" xlink:type="locator" xlink:label="Loc_38"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLiabilities" xlink:type="locator" xlink:label="Loc_39"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InvestmentProperty" xlink:type="locator" xlink:label="Loc_4"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentProvisions" xlink:type="locator" xlink:label="Loc_40"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentPayables" xlink:type="locator" xlink:label="Loc_43"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxLiabilities" xlink:type="locator" xlink:label="Loc_44"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLiabilities" xlink:type="locator" xlink:label="Loc_48"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLiabilitiesOtherThanLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" xlink:type="locator" xlink:label="Loc_49"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Goodwill" xlink:type="locator" xlink:label="Loc_5"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentProvisions" xlink:type="locator" xlink:label="Loc_50"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayables" xlink:type="locator" xlink:label="Loc_53"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:type="locator" xlink:label="Loc_54"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherCurrentFinancialLiabilities" xlink:type="locator" xlink:label="Loc_55"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" xlink:type="locator" xlink:label="Loc_57"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentContractAssets" xlink:type="locator" xlink:label="Loc_58"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentPortionOfNoncurrentLoansReceived" xlink:type="locator" xlink:label="Loc_59"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:type="locator" xlink:label="Loc_6"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentDerivativeFinancialLiabilities" xlink:type="locator" xlink:label="Loc_60"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentDerivativeFinancialLiabilities" xlink:type="locator" xlink:label="Loc_61"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLoansReceivedAndCurrentPortionOfNoncurrentLoansReceived" xlink:type="locator" xlink:label="Loc_62"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLeaseLiabilities" xlink:type="locator" xlink:label="Loc_63"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLeaseLiabilities" xlink:type="locator" xlink:label="Loc_64"/>
        <link:calculationArc weight="1" xlink:from="Loc_1" xlink:to="Loc_2" order="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_3" order="2.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_4" order="3.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_5" order="4.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_6" order="5.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_10" order="6.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_12" order="7.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_14" order="8.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_1" xlink:to="Loc_17" order="9.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_17" xlink:to="Loc_18" order="10.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_18" xlink:to="Loc_19" order="11.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_18" xlink:to="Loc_20" order="12.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_18" xlink:to="Loc_21" order="13.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_18" xlink:to="Loc_23" order="14.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_18" xlink:to="Loc_25" order="15.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_18" xlink:to="Loc_58" order="16.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_17" xlink:to="Loc_27" order="17.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_28" xlink:to="Loc_29" order="18.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_29" xlink:to="Loc_30" order="19.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_30" xlink:to="Loc_31" order="20.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_30" xlink:to="Loc_32" order="21.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_30" xlink:to="Loc_33" order="22.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_30" xlink:to="Loc_34" order="23.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_30" xlink:to="Loc_36" order="24.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_29" xlink:to="Loc_37" order="25.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_28" xlink:to="Loc_38" order="26.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_38" xlink:to="Loc_39" order="27.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_39" xlink:to="Loc_40" order="28.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_39" xlink:to="Loc_43" order="29.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_39" xlink:to="Loc_44" order="30.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_39" xlink:to="Loc_59" order="31.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_39" xlink:to="Loc_60" order="32.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_39" xlink:to="Loc_63" order="33.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_38" xlink:to="Loc_48" order="34.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_48" xlink:to="Loc_49" order="35.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_49" xlink:to="Loc_50" order="36.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_49" xlink:to="Loc_53" order="37.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_49" xlink:to="Loc_54" order="38.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_49" xlink:to="Loc_55" order="39.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_49" xlink:to="Loc_61" order="40.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_49" xlink:to="Loc_62" order="41.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_49" xlink:to="Loc_64" order="42.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_48" xlink:to="Loc_57" order="43.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
    </link:calculationLink>
    <link:calculationLink xlink:role="http://www.ropczyce.com.pl/role/ias_1_role-310000" xlink:type="extended">
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_BasicEarningsLossPerShare" xlink:type="locator" xlink:label="Loc_1"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:type="locator" xlink:label="Loc_10"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GrossProfit" xlink:type="locator" xlink:label="Loc_11"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Revenue" xlink:type="locator" xlink:label="Loc_12"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CostOfSales" xlink:type="locator" xlink:label="Loc_13"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherIncome" xlink:type="locator" xlink:label="Loc_14"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DistributionCosts" xlink:type="locator" xlink:label="Loc_15"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdministrativeExpense" xlink:type="locator" xlink:label="Loc_16"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherExpenseByFunction" xlink:type="locator" xlink:label="Loc_17"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_BasicEarningsLossPerShareFromContinuingOperations" xlink:type="locator" xlink:label="Loc_2"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncome" xlink:type="locator" xlink:label="Loc_24"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceCosts" xlink:type="locator" xlink:label="Loc_25"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" xlink:type="locator" xlink:label="Loc_29"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_BasicEarningsLossPerShareFromDiscontinuedOperations" xlink:type="locator" xlink:label="Loc_3"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:type="locator" xlink:label="Loc_34"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromDiscontinuedOperations" xlink:type="locator" xlink:label="Loc_35"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ResearchAndDevelopmentExpense" xlink:type="locator" xlink:label="Loc_36"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DilutedEarningsLossPerShare" xlink:type="locator" xlink:label="Loc_4"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DilutedEarningsLossPerShareFromContinuingOperations" xlink:type="locator" xlink:label="Loc_5"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DilutedEarningsLossPerShareFromDiscontinuedOperations" xlink:type="locator" xlink:label="Loc_6"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:type="locator" xlink:label="Loc_7"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromContinuingOperations" xlink:type="locator" xlink:label="Loc_8"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:type="locator" xlink:label="Loc_9"/>
        <link:calculationArc weight="1" xlink:from="Loc_7" xlink:to="Loc_8" order="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_8" xlink:to="Loc_9" order="2.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_9" xlink:to="Loc_10" order="3.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_10" xlink:to="Loc_11" order="4.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_11" xlink:to="Loc_12" order="5.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_11" xlink:to="Loc_13" order="6.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_10" xlink:to="Loc_14" order="7.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_10" xlink:to="Loc_15" order="8.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_10" xlink:to="Loc_16" order="9.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_10" xlink:to="Loc_17" order="10.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_10" xlink:to="Loc_36" order="11.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_9" xlink:to="Loc_24" order="12.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_9" xlink:to="Loc_25" order="13.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_9" xlink:to="Loc_29" order="14.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_8" xlink:to="Loc_34" order="15.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_7" xlink:to="Loc_35" order="16.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_4" xlink:to="Loc_5" order="17.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_4" xlink:to="Loc_6" order="18.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_1" xlink:to="Loc_2" order="19.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_1" xlink:to="Loc_3" order="20.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
    </link:calculationLink>
    <link:calculationLink xlink:role="http://www.ropczyce.com.pl/role/ias_1_role-420000" xlink:type="extended">
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:type="locator" xlink:label="Loc_1"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossBeforeTax" xlink:type="locator" xlink:label="Loc_13"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation" xlink:type="locator" xlink:label="Loc_14"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:type="locator" xlink:label="Loc_2"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:type="locator" xlink:label="Loc_3"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTax" xlink:type="locator" xlink:label="Loc_4"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" xlink:type="locator" xlink:label="Loc_47"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossBeforeTax" xlink:type="locator" xlink:label="Loc_5"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRevaluation" xlink:type="locator" xlink:label="Loc_7"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:type="locator" xlink:label="Loc_8"/>
        <link:calculationArc weight="1" xlink:from="Loc_1" xlink:to="Loc_2" order="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_1" xlink:to="Loc_3" order="2.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_3" xlink:to="Loc_4" order="3.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_4" xlink:to="Loc_5" order="4.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_5" xlink:to="Loc_7" order="5.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_5" xlink:to="Loc_8" order="6.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_4" xlink:to="Loc_13" order="7.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_13" xlink:to="Loc_14" order="8.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_3" xlink:to="Loc_47" order="9.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
    </link:calculationLink>
    <link:calculationLink xlink:role="http://www.ropczyce.com.pl/role/ias_7_role-520000" xlink:type="extended">
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:type="locator" xlink:label="Loc_1"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" xlink:type="locator" xlink:label="Loc_14"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForProvisions" xlink:type="locator" xlink:label="Loc_16"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains" xlink:type="locator" xlink:label="Loc_17"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:type="locator" xlink:label="Loc_2"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForUndistributedProfitsOfAssociates" xlink:type="locator" xlink:label="Loc_20"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" xlink:type="locator" xlink:label="Loc_22"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherAdjustmentsToReconcileProfitLoss" xlink:type="locator" xlink:label="Loc_24"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:type="locator" xlink:label="Loc_29"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:type="locator" xlink:label="Loc_3"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:type="locator" xlink:label="Loc_31"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="Loc_38"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="Loc_39"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:type="locator" xlink:label="Loc_4"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromSalesOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="Loc_40"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="Loc_41"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:type="locator" xlink:label="Loc_5"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="Loc_53"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:type="locator" xlink:label="Loc_54"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromIssuingShares" xlink:type="locator" xlink:label="Loc_57"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForReconcileProfitLoss" xlink:type="locator" xlink:label="Loc_6"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="Loc_61"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="Loc_62"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="Loc_63"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="Loc_65"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="Loc_66"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="Loc_68"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" xlink:type="locator" xlink:label="Loc_69"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncomeTaxExpense" xlink:type="locator" xlink:label="Loc_7"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForInterestIncome" xlink:type="locator" xlink:label="Loc_70"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDividendIncome" xlink:type="locator" xlink:label="Loc_71"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForInterestExpense" xlink:type="locator" xlink:label="Loc_72"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" xlink:type="locator" xlink:label="Loc_73"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:type="locator" xlink:label="Loc_74"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" xlink:type="locator" xlink:label="Loc_9"/>
        <link:calculationArc weight="1" xlink:from="Loc_1" xlink:to="Loc_2" order="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_3" order="2.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_3" xlink:to="Loc_4" order="3.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_4" xlink:to="Loc_5" order="4.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_4" xlink:to="Loc_6" order="5.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_6" xlink:to="Loc_7" order="6.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_6" xlink:to="Loc_9" order="7.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_6" xlink:to="Loc_14" order="8.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_6" xlink:to="Loc_16" order="9.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_6" xlink:to="Loc_17" order="10.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_6" xlink:to="Loc_20" order="11.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_6" xlink:to="Loc_22" order="12.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_6" xlink:to="Loc_24" order="13.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_6" xlink:to="Loc_70" order="14.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_6" xlink:to="Loc_71" order="15.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_6" xlink:to="Loc_72" order="16.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_6" xlink:to="Loc_73" order="17.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_6" xlink:to="Loc_74" order="18.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_3" xlink:to="Loc_29" order="19.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_31" order="20.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_31" xlink:to="Loc_38" order="21.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_31" xlink:to="Loc_39" order="22.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_31" xlink:to="Loc_40" order="23.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_31" xlink:to="Loc_41" order="24.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_31" xlink:to="Loc_53" order="25.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_54" order="26.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_54" xlink:to="Loc_57" order="27.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_54" xlink:to="Loc_61" order="28.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_54" xlink:to="Loc_62" order="29.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_54" xlink:to="Loc_63" order="30.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_54" xlink:to="Loc_65" order="31.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_54" xlink:to="Loc_66" order="32.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_54" xlink:to="Loc_68" order="33.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_1" xlink:to="Loc_69" order="34.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
    </link:calculationLink>
    <link:calculationLink xlink:role="http://www.ropczyce.com.pl/role/role_000010" xlink:type="extended"/>
    <link:calculationLink xlink:role="http://www.ropczyce.com.pl/role/ias_1_role-610000" xlink:type="extended">
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ChangesInEquity" xlink:type="locator" xlink:label="Loc_1"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseThroughSharebasedPaymentTransactions" xlink:type="locator" xlink:label="Loc_12"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:type="locator" xlink:label="Loc_2"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:type="locator" xlink:label="Loc_3"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:type="locator" xlink:label="Loc_4"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IssueOfEquity" xlink:type="locator" xlink:label="Loc_5"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DividendsPaid" xlink:type="locator" xlink:label="Loc_6"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseThroughTransfersAndOtherChangesEquity" xlink:type="locator" xlink:label="Loc_9"/>
        <link:calculationArc weight="1" xlink:from="Loc_1" xlink:to="Loc_2" order="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_3" order="2.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_4" order="3.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_1" xlink:to="Loc_5" order="4.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_1" xlink:to="Loc_6" order="5.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_1" xlink:to="Loc_9" order="6.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_1" xlink:to="Loc_12" order="7.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
    </link:calculationLink>
</link:linkbase>
